<?php
$uploadDir = __DIR__ . '/uploads/';
$queueDir = __DIR__ . '/queue/';
$queueFile = $queueDir . 'jobs.txt';
$resultsJsonPath = __DIR__ . '/results.json';

if (!file_exists($uploadDir)) mkdir($uploadDir, 0777, true);
if (!file_exists($queueDir)) mkdir($queueDir, 0777, true);

$allowedExtensions = ['pdf', 'xls', 'xlsx'];
$productName = trim($_POST['productName'] ?? '');

if (!$productName) {
    die("❌ 제품명이 입력되지 않았습니다.");
}

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_FILES['docFiles'])) {
    $count = count($_FILES['docFiles']['name']);
    $results = file_exists($resultsJsonPath) ? json_decode(file_get_contents($resultsJsonPath), true) : [];

    for ($i = 0; $i < $count; $i++) {
        $tmpName = $_FILES['docFiles']['tmp_name'][$i];
        $relativePath = $_FILES['docFiles']['name'][$i];
        $filename = basename($relativePath);
        $category = explode("/", $relativePath)[0];
        $ext = strtolower(pathinfo($filename, PATHINFO_EXTENSION));

        if (!in_array($ext, $allowedExtensions)) {
            continue;
        }

        $targetDir = $uploadDir . $productName . '/' . $category . '/';
        if (!file_exists($targetDir)) mkdir($targetDir, 0777, true);
        $targetPath = $targetDir . $filename;

        if (move_uploaded_file($tmpName, $targetPath)) {
            echo "✅ 업로드됨: $productName / $category / $filename<br>";

            $entry = [
                'filename' => $filename,
                'type' => $ext,
                'product' => $productName,
                'category' => $category,
                'timestamp' => time(),
                'path' => "uploads/$productName/$category/$filename"
            ];
            file_put_contents($queueFile, json_encode($entry) . PHP_EOL, FILE_APPEND);
            $results[] = $entry;
        }
    }

    file_put_contents($resultsJsonPath, json_encode($results, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT));

    header("Location: results.php");
    exit;
} else {
    echo "업로드 실패.";
}
?>
